PaymentsTransactions

Get transaction history

Fetch your transactions history, filtered by given parameters. Transactions contain data about billing for subscriptions, deposits and transfers, service purchase. Returns data with pagination.

GET
/api/v1/payments/transactions

Query Parameters

amount_from?number

Optional parameter. Allows to filter out transactions with amount greater than given value.

Range0 <= value
amount_to?number

Optional parameter. Allows to filter out transactions with amount less than given value.

Range0 <= value
page?integer

Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.

page_size?integer

Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.

period_end?string

Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

period_start?string

Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.

search_query?string

Optional parameter that allows to search transactions by comment value. The search operation is partial.

sort_by?string

Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.

Value in"_default" | "id" | "status" | "type" | "amount" | "balance_after" | "comment" | "created_at"
sort_order?string

Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.

Value in"asc" | "desc"
status?string

Accepts a list of transaction statuses to filter by. If the list is empty – this filter will be ignored.

Value in"undefined" | "pending" | "done" | "rejected" | "refunded"
type?array<>

Accepts a list of transaction types to filter by. If the list is empty – this filter will be ignored.

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/payments/transactions" \  -H "Authorization: string"
{
  "data": [
    {
      "amount": 0,
      "balance_after": 0,
      "comment": "string",
      "created_at": "string",
      "id": 0,
      "status": "undefined",
      "type": "undefined"
    }
  ],
  "page": 0,
  "page_size": 0,
  "total": 0,
  "total_pages": 0
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.